基于init.c的玩家复活装备模组

#### 模组说明:

本模组算是一个示例代码, 旨在告诉开发者如何正确的使用init.c加载自己的代码.

在init.c中.通常都是将大堆的代码直接带入到文件中, 导致init.c中的代码臃肿不堪,难以维护,对于此种情况,请参考本代码示例, 正确的处理在init.c中的代码逻辑

擅于使用 #include 标签来引入外部的.c文件, 将一些方法封装成一个类,进行调用, 而不是所有的代码都插入到init.c中. 参阅Scripts文件夹中的代码, 以及init.c的第一行.

#### 代码的功能:

代码编写了一个服主常用的功能, 给~~指定ID的~~单人或者小队玩家创建一套复活时穿戴的装备, 支持枪械配件的组装.

注意:JSON文件会自动生成在Profile目录下, `\DcrServerModCfg\CustomRevivalSuitCfg\CustomRevivalSuitCfg.json`
不要复制此处的配置.
```json
{
    "PlayerRevivalEquipmentDataList": [
        {
            // 队伍的名字, 方便识别
            "TeamName": "暗夜",
            //队伍成员列表, 只填写17位SteamID
            "TeamMembers": [
                "76561198422667486"
            ],
            // 小队装备, 这些装备会刷新在玩家的插槽中.
            "Equipments": [
                "WoolGloves_White",
                "BaseballCap_Black",
                "Jeans_Blue",
                "Wellies_Black",
                "TShirt_Black"
            ],
            // 小队的额外物品, VIP玩家除了会得到系统默认的物品外,还会得到这里的物品
            "ItemList": [
                "Apple"
            ],
            // 小队成员默认的出生武器, 只能配置一把枪械.
            "WeaponData": {
                // 枪械的代码
                "WeaponName": "FAL",
                "Desc": "武器配件中,一级配件(比如枪托,弹夹)放在前排,二级配件(比如电池)其次 以此类推",
                "WeaponComponents": [
                    "Fal_FoldingBttstck",
                    "Mag_FAL_20Rnd"
                ]
            }
        }
    ]
}
```

#### 如何使用:
将Scripts文件夹和init.c文件一同放置到你的任务文件中, 如果自己的init.c有其他编写的代码, 请插入到现在的init.c中.
启动服务端后, 会在你的Profile目录下创建配置文件, 请自行通过配置给不同的玩家创建出生装备.